import { arc } from 'd3';

const width = 900;
const height = 500;
const centerX = width / 3;
const centerY = height / 3;
const strokeWidth = 85;
const eyeOffsetX = 80;
const eyeOffsetY = 80;
const eyeRadius = 50;
const noseWidth = 10;
const noseRadius = 5;
const mouthWidth = 100;
const mouthRadius = 50;
const faceRadius = 1;
const faceWidth = 20;
const accentColor = 'white';
const eyeBrowWidth = 10;
const eyeBrowYoffset = 10;

const faceArc = d3.arc()
    .innerRadius(faceWidth)
    .outerRadius(faceWidth - faceRadius)
    .startAngle(Math.PI / 2 + 2)
    .endAngle(Math.PI * 3/2 - 2);

const MouthArc = d3.arc()
    .innerRadius(mouthWidth)
    .outerRadius(mouthWidth - mouthRadius)
    .startAngle(Math.PI / 2 + 0.2)
    .endAngle(Math.PI * 3/2 - 0.2);

const noseArc = d3.arc()
    .innerRadius(noseWidth)
    .outerRadius(noseWidth - noseRadius)
    .startAngle(Math.PI * 1 - 0.2)
    .endAngle(Math.PI * 3 - 0.2);

const App = () => (
    <svg width={width} height={height}>
    	<g transform={`translate(${centerX},${centerY})`} >
        <circle
          r={centerY - (strokeWidth / 2)}
          fill="red"
          stroke="grey"
          strokeWidth={strokeWidth}
          fill={accentColor}
        />
        <circle 
          cx={-eyeOffsetX}
          cy={-eyeOffsetY}
          r={eyeRadius}
          
        />
        <circle
        	cx={eyeOffsetX}
          cy={-eyeOffsetY}
          r={eyeRadius}
          
        />
  
        <path // nose
        d={noseArc()}/>
        
        <path //mouth
        d={MouthArc()}/>

        <path //face
        d={faceArc()}/>
        
      </g>
    </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);